##############################################################################
# handlers.py                                                                #
##############################################################################

# The following symbols are imported using magic:
#
# import uriel
# from uriel import Page
# from uriel import Node
# from uriel import FileNode
# from uriel import VirtualNode
# from uriel import HandlerError
# from uriel import log
# from uriel import escape

#def init(project_root):
#    pass

def before_render_node_tree(project_root, root_node):
    vnode = VirtualNode(project_root, "virtual", root_node)
    vnode.headers["title"] = "Virtual Node"
    vnode.headers["tags"] = "virtual, node"
    vnode.headers["+rss-include"] = "true"
    vnode.set_body("{{node-list:*}}<br><br>" + \
        "{{node-link:tag}}: {{tag-list:*}}")
    root_node.add_child(vnode)

    for child_subpath in range(1, 6):
        num_str = str(child_subpath)
        child_vnode = VirtualNode(project_root,
                                  "virtual/child" + num_str,
                                  vnode)
        child_vnode.headers["title"] = "Child Virtual Node " + num_str
        child_vnode.headers["tags"] = "virtual, child, node"
        child_vnode.set_body("The virtual nodes came from " + \
            "<i>lib/handlers.py</i><br><br>\n" + \
            "{{node-link:tag}}: {{tag-list:*}}")
        vnode.add_child(child_vnode)

#def after_render_node_tree(project_root, root_node):
#    pass

#def cleanup(project_root, root_node):
#    pass

