##############################################################################
# soju.py                                                                    #
##############################################################################

# The following symbols are imported using magic:
#
# import uriel
# from uriel import SojuError
# from uriel import log
# from uriel import escape

# The following variables are available to pass to functions:
#
# page
# node
# project_root
# use_canonical_url

def toast_table(node):
    strftime_fmt = "%a, %d %b %Y %H:%M:%S"

    lines = []

    lines.append("<table>")
    lines.append("    <tr>")
    lines.append("        <th>Kind of Toast</th>")
    lines.append("        <th>Page Created</th>")
    lines.append("        <th>Page Modified</th>")
    lines.append("    </tr>")

    for child_node in sorted(node.get_children()):
        link = child_node.get_link()

        created = "[unknown]"
        if child_node.created:
            created = child_node.created.strftime(strftime_fmt)

        modified = child_node.modified.strftime(strftime_fmt)

        lines.append("    <tr>")
        lines.append("        <td>" + link + "</td>")
        lines.append("        <td>" + created + "</td>")
        lines.append("        <td>" + modified + "</td>")
        lines.append("    </tr>")

    lines.append("</table>")

    return "\n".join(lines)
